Bug 469847 - Java/JMS null pointer exception during Connection::close()
Java/JMS null pointer exception during Connection::close()
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-java (Show other bugs)
1.1
All Linux
medium Severity medium
: 1.3
: ---
Assigned To: Rajith Attapattu
MRG Quality Engineering
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-04 08:09 EST by David Sommerseth
Modified: 2016-05-22 19:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-25 16:17:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Sommerseth 2008-11-04 08:09:33 EST
Description of problem:
The following traceback is thrown when program reaches Connection::close() method.  This happens only through the JMS API.

----------------------------------------------------------------------------
Exception in thread "IoReceiver - localhost/127.0.0.1:5672" java.lang.NullPointerException
        at org.apache.qpid.client.AMQConnectionDelegate_0_10.closed(AMQConnectionDelegate_0_10.java:209)
        at org.apache.qpid.transport.Connection.closed(Connection.java:428)
        at org.apache.qpid.transport.network.Assembler.closed(Assembler.java:113)
        at org.apache.qpid.transport.network.InputHandler.closed(InputHandler.java:201)
        at org.apache.qpid.transport.network.io.IoReceiver.run(IoReceiver.java:132)

----------------------------------------------------------------------------

How reproducible:
Always

Steps to Reproduce:
1. Install MRG-1.1 RC packages and Sun JDK 1.5.0
2. Start Qpid broker
3. Grab a copy of the qpid_i18n_multibyte_tests from cvs:tests/distribution/MRG_Messaging/
4. Compile and run the utf8test.java program found in the java directory

      java -cp $CLASSPATH utf8test localhost 5672 ../testdata/plain_ en
  
Actual results:
During the JMS tests, you will get 2 exceptions as shown above.

Expected results:
No exceptions at all.

Additional info:
Seems to have been introduced after Qpid SVN r707694 (2008-10-24 19:41:58 +0200 (Fri, 24 Oct 2008)) and up to the packaging of MRG-1.1 Java packages

Package failing: 

Name        : qpid-java-client             Relocations: (not relocatable)
Version     : 0.3.709187                        Vendor: Red Hat, Inc.
Release     : 1.el5                         Build Date: Fri 31 Oct 2008 11:28:35 AM EDT
Install Date: Mon 03 Nov 2008 03:03:23 PM EST      Build Host: hs20-bc1-7.build.redhat.com
Group       : Development/Java              Source RPM: qpid-java-0.3.709187-1.el5.src.rpm

Name        : qpid-java-common             Relocations: (not relocatable)
Version     : 0.3.709187                        Vendor: Red Hat, Inc.
Release     : 1.el5                         Build Date: Fri 31 Oct 2008 11:28:35 AM EDT
Install Date: Mon 03 Nov 2008 03:03:17 PM EST      Build Host: hs20-bc1-7.build.redhat.com
Group       : Development/Java              Source RPM: qpid-java-0.3.709187-1.el5.src.rpm
Size        : 3585098                          License: Apache Software License
Comment 1 Rajith Attapattu 2009-02-17 14:25:21 EST
I cannot reproduce this issue. It is quite likely this is fixed.

Note You need to log in before you can comment on or make changes to this bug.